Subject: Re: [re-ECN] Pls respond: Do we have a Congestion Exposure community?

From: Steven J Bauer <[email-masked]>
Date: Fri, 04 Sep 2009 14:29:43 -0400

> Therefore, pls respond preferably *on this list* if you're interested 
> in being involved, no matter how insignificantly, e.g.
>
> - you want congestion visibility for other stuff you're doing
> - reviewing docs,
> - alternative way to achieve congestion exposure
> - participate in mailing list discussion,
> - co-authoring docs
> - design ways to do incremental deployment
> - using code for other stuff you're doing
> - thinking up new uses for the protocol
> - breaking it
> - analysing benefits/costs
> - running or participating in trials

This is squarely in the middle of things we are very interested in in our
research group (Advanced Network Architecture) at MIT.  We are particularly
interested in the above work items.

Steven Bauer
MIT

---

From: Kwok Ho Chan <[email-masked]>
Date: Fri, 04 Sep 2009 15:28:21 -0400

Hi Bob:
I am interested to see this work going forward in a BOF at the 76th 
IETF in Hiroshima.
I will try to get involved with this work in more than one of the 
ways you listed below.
-- Kwok --

>Folks,
>
>I'd like to try to arrange a Congestion Exposure (re-ECN) BoF in Nov 
>at the Hiroshima IETF. If so, we have to notify the area directors v 
>soon - by 24:00 UTC Mon 7 Sep 09. #1 gating function for Area 
>Directors: activity on an ietf list.
>
>Therefore, pls respond preferably *on this list* if you're 
>interested in being involved, no matter how insignificantly, e.g.
>
>   (but don't intend to work on it itself)
>- reviewing docs,
>- implement protocol
>- implement a demo
>- standing on the sidelines booing or clapping
>- whatever
>
>Perceived problem:
>Most people want to work on something finite like a new cool 
>non-TCP-friendly congestion control. Less people want to go into an 
>pseudo-infinite loop fixing IP to allow other cool stuff to happen. 
>If you want something like re-ECN to be there, but don't have the 
>bandwidth to work on it, that's cool too - please say this - it's 
>still palpable support. And you will be likely to have review 
>comments related to how you want to use it.
>
>Cheers
>
>
>Bob
>

---

From: "Don Bowman" <[email-masked]>
Date: Fri, 4 Sep 2009 15:57:02 -0400

> >Date: Wed, 02 Sep 2009 17:33:36 +0100
> >To: [email-masked]
> >From: Bob Briscoe <[email-masked]>
> >Subject: Pls respond: Do we have a Congestion Exposure community?
> >
> >Folks,
> >

I would be very interested. I am with Sandvine, one of the larger
vendors of network policy control, including congestion and traffic
management.

I could share some of our successes and frustrations in this space, and
the things that would help as part of the standard. re-ECN is something
that i would like to use as part of our fairshare traffic management
product.

One of the significant challenges we have is detecting congestion on a
per link basis, where congestion is defined as traffic that must get
through that is kicked around, rather than simple as free capacity.

One of the things i can bring is specific measurements from consumer
wireless and broadband networks, and an explanation of how those
networks function. These are the highest-scale shared pipe systems out
there today.

--don

---

From: ken carlberg <[email-masked]>
Date: Fri, 4 Sep 2009 13:53:20 -0400

Bob,

Sorry for the tardy response....its vacation time, and so the interest  
in keeping up with email is kind of last on the list of fun things to  
do :-)

But in response to your request below, I certainly have a strong  
interest in the re-ECN effort.  And depending on what the group  
gravitates to, I can probably contribute in a more active form --  
reviewing, maybe co-authoring, even standing on the sidelines and  
booing as time and opportunity permits :-)

cheers,

-ken

>> I'd like to try to arrange a Congestion Exposure (re-ECN) BoF in  
>> Nov at the Hiroshima IETF. If so, we have to notify the area  
>> directors v soon - by 24:00 UTC Mon 7 Sep 09. #1 gating function  
>> for Area Directors: activity on an ietf list.
>>
>> Most people want to work on something finite like a new cool non- 
>> TCP-friendly congestion control. Less people want to go into an

---

From: "Anna Charny (acharny)" <[email-masked]>
Date: Sun, 6 Sep 2009 08:18:14 -0400

Hi Bob,
 
I would definitely be very interested in this BoF.
 
Anna Charny
 
Bob Briscoe wrote:

	Folks,

	I'd like to try to arrange a Congestion Exposure (re-ECN) BoF in
Nov at the Hiroshima IETF. If so, we have to notify the area directors v
soon - by 24:00 UTC Mon 7 Sep 09. #1 gating function for Area Directors:
activity on an ietf list. 

	Perceived problem:
	
	Most people want to work on something finite like a new cool
non-TCP-friendly congestion control. Less people want to go into an
pseudo-infinite loop fixing IP to allow other cool stuff to happen. If
you want something like re-ECN to be there, but don't have the bandwidth
to work on it, that's cool too - please say this - it's still palpable
support. And you will be likely to have review comments related to how
you want to use it. 
	Cheers

	Bob

---

From: "Ingemar Johansson S" <[email-masked]>
Date: Mon, 7 Sep 2009 09:42:41 +0200

Hi

I am interested in this work.
I will try to focus my involvement (as much as possible) to the
application/transport layer aspects, initially I can help with reviewing
docs and participate in email discussions. In the future, depending on
how things evolve and if time permits I can possibly run simulations
where HSPA/LTE access is involved.

Regards
/Ingemar

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Bob Briscoe
> Sent: Wednesday, September 02, 2009 9:34 AM
> To: [email-masked]
> Subject: [re-ECN] Pls respond: Do we have a Congestion 
> Exposure community?
> 
> Folks,
> 
> I'd like to try to arrange a Congestion Exposure (re-ECN) BoF 
> in Nov at the Hiroshima IETF. If so, we have to notify the 
> area directors v soon - by 24:00 UTC Mon 7 Sep 09. #1 gating 
> function for Area
> non-TCP-friendly congestion control. Less people want to go 
> into an pseudo-infinite loop fixing IP to allow other cool 
> stuff to happen. 
> If you want something like re-ECN to be there, but don't have 
> the bandwidth to work on it, that's cool too - please say 
> this - it's still palpable support. And you will be likely to 
> have review comments related to how you want to use it.
> 
> Cheers
> 
> 
> Bob
> 
> 
> ________________________________________________________________
> Bob Briscoe,               Networks Research Centre, BT Research 
> 
> _______________________________________________
> re-ECN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> ------------------------------
> 
> _______________________________________________
> re-ECN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/re-ecn
> 
> 
> End of re-ECN Digest, Vol 7, Issue 14
> *************************************
>

---

From: Markku Kojo <[email-masked]>
Date: Mon, 7 Sep 2009 20:22:35 +0300 (EEST)

Hi,

sorry for the late response... 

Yes, I'd like to see this to be discussed in a BoF at the Hiroshima IETF. 
This has a lot of potential, and getting it done properly is important. 

My level of involvement is still open as it's a bit hard to know 
right now how much cycles I may be able to invest in this in 
the future, if a wg gets created. Hope to be able to contribute 
anyway as my group is working on related issues.

Best regards,

/Markku

>I'd like to try to arrange a Congestion Exposure (re-ECN) BoF in Nov at the
>Hiroshima IETF. If so, we have to notify the area directors v soon - by 24:00
>UTC Mon 7 Sep 09. #1 gating function for Area Directors: activity on an ietf
>list.
>
>Therefore, pls respond preferably *on this list* if you're interested in being
>involved, no matter how insignificantly, e.g.
>
>Most people want to work on something finite like a new cool non-TCP-friendly
>congestion control. Less people want to go into an pseudo-infinite loop fixing
>IP to allow other cool stuff to happen. If you want something like re-ECN to be
>there, but don't have the bandwidth to work on it, that's cool too - please say
>this - it's still palpable support. And you will be likely to have review

---

From: Barbara van Schewick <[email-masked]>
Date: Mon, 7 Sep 2009 14:05:22 -0700 (PDT)

I'm very interested in this. I'm particularly interested in the business and policy implications of re-ECN. 

Barbara
---
Barbara van Schewick
Assistant Professor of Law and (by Courtesy) Electrical Engineering
Director, Center for Internet and Society
Stanford Law School

Crown Quadrangle
559 Nathan Abbott Way
Stanford, CA94305-8610

Phone:  650-723 8340
E-Mail: [email-masked]

---

From: Lixia Zhang <[email-masked]>
Date: Wed, 9 Sep 2009 12:24:40 -0700

Like Aaron, I realized that I already missed the Monday deadline, and  
I very much share what Aaron said in his reply that
- the topic is relevant
- getting right people to the room is important (and need effort)
- I may not have lots cycles to work on it myself, but can try
- my hand-up for having this BOF

Lixia

> Most people want to work on something finite like a new cool non-TCP- 
> friendly congestion control. Less people want to go into an pseudo- 
> infinite loop fixing IP to allow other cool stuff to happen. If you  
> want something like re-ECN to be there, but don't have the bandwidth  
> to work on it, that's cool too - please say this - it's still  
> palpable support. And you will be likely to have review comments  
> related to how you want to use it.
>
> Cheers
>
>
> Bob
>

---

From: "Livingood, Jason" <[email-masked]>
Date: Fri, 11 Sep 2009 14:54:28 -0400

Been on vacation so late in responding to this thread, though I see others
have done so (incl. my colleague Rich Woundy).  This seems like an
interesting area of work and, barring obvious conflicts with other BoFs and
WGs at IETF 76, I¹m interested in attending and participating on some level.

Regards
Jason